net.fortuna.ical4j.model

## Interface TimeZoneRegistry

All Known Implementing Classes:
  TimeZoneRegistryImpl

    public interface TimeZoneRegistry

$Id$ Created on 18/09/2005 Implementors provide a list of timezone definitions applicable for use with iCalendar objects.

Author:
  Ben Fortuna

### Method Summary

Methods
`void` `clear()` Clears all registered timezones.
`TimeZone` `getTimeZone(String id)` Returns a timezone with the specified identifier.
`void` `register(TimeZone timezone)` Registers a new timezone for use with iCalendar objects.
`void` `register(TimeZone timezone, boolean update)` Registers a new timezone for use with iCalendar objects.

### Method Detail

#### register

    void register(TimeZone timezone)

Registers a new timezone for use with iCalendar objects. If a timezone with the same identifier is already registered this timezone will take precedence.

Parameters:
  `timezone` - a timezone to be registered for use with iCalendar objects

#### register

    void register(TimeZone timezone,
                boolean update)

Registers a new timezone for use with iCalendar objects. If a timezone with the same identifier is already registered this timezone will take precedence.

Parameters:
  `timezone` - a timezone to be registered for use with iCalendar objects
  `update` - attempt to update the definition from any specified TZURL property if true

#### clear

    void clear()

Clears all registered timezones.

#### getTimeZone

    TimeZone getTimeZone(String id)

Returns a timezone with the specified identifier.

Parameters:
  `id` - a timezone identifier
Returns:
  a timezone matching the specified identifier. If no timezone is registered with the specified identifier null is returned.